package com.lz.modules.flow.dao;
/**
* <p>
* 考核模板表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.ResultModel;
import com.lz.modules.flow.entity.ResultTagetLib;
import com.lz.modules.flow.model.ResultModelDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResultModelMapper extends BaseMapper<ResultModel> {


	ResultModel selectResultModelById(@Param("id")Long id);


	Long insertResultModel(ResultModel resultModel);


	int updateResultModelById(ResultModel resultModel);


	int updateCoverResultModelById(ResultModel resultModel);


	int deleteResultModelById(@Param("id")Long id);


    List<ResultModel> selectResultModelByGroupId(@Param("id") Long id);

    List<ResultModelDto> selectResultDtoByGroupId(Long id);

	int deleteResultModelByGroupId(Long id);

	int updateCoverWeightResultModelById(ResultModel resultModel);

}